<?php
/**
 * SMF Arcade
 *
 * @package SMF Arcade
 * @version 2.55
 * @license https://web-develop.ca/index.php?page=arcade_license_BSD2 BSD 2
 */

 global $modSettings, $boardurl;
// General
$txt['arcade_admin_title'] = 'Arcade Admin';
$txt['arcade_new_version'] = 'There is new version, %s or %s';
$txt['arcade_check_website'] = 'check website for details';
$txt['arcade_download_update'] = 'download update';
$txt['pgroups_post_group'] = 'This is post group.';
$txt['regular_members'] = 'Regular Members';
$txt['arcade_group_arena'] = 'Everyone on Arcade Arena';
$txt['arcade_admin'] = 'Arcade Admin';
$txt['arcade_general_information'] = 'Arcade Info';
$txt['arcade_general_settings'] = 'Arcade Settings';
$txt['arcade_general'] = 'Arcade';
$txt['arcade_general_desc'] = 'Here you can check latest version, and edit settings of Arcade';
$txt['arcadeStats'] = 'Arcade Statistics';
$txt['sendArcadeChallenge'] = 'Arcade Challenge';
$txt['arcade_default_email'] = 'no_reply_' . mt_rand() . '@arcadebot.com';
$txt['arcade_confirm_action'] = 'Are you sure you want to do this action?';

// Information
$txt['arcade_status'] = 'Version Information';
$txt['arcade_latest_news'] = 'Latest news';
$txt['arcade_unable_to_connect'] = 'Unable to connect to %s, for latest news visit site.';
$txt['arcade_installed_version'] = 'Installed version';
$txt['arcade_latest_version'] = 'Latest version';

// Arcade Settings
$txt['arcadeList'] = 'Select List Type';
$txt['arcade_list0'] = 'Generic';
$txt['arcade_list1'] = 'Retro';
$txt['arcade_list2'] = 'Vintage';
$txt['arcadeDropCat'] = 'Enable Drop Down Categories';
$txt['arcade_catWidth'] = 'Set Category Icon Width';
$txt['arcade_catHeight'] = 'Set Category Icon Height';
$txt['arcade_decimal'] = 'Set Decimal Places';
$txt['arcadeSettings'] = 'Arcade Settings';
$txt['skin_showcatchamps'] = 'Show Category Champs';
$txt['arcade_decimal_recommend'] = '(recommend 3 max)';
$txt['arcade_default'] = 'Classic';
$txt['arcade_skin_a'] = 'Enterprise';
$txt['arcade_skin_b'] = 'Defiant';
$txt['arcadeSkin'] = 'Set Arcade Skin';
$txt['skin_latest_scores'] = 'Set Latest Scores';
$txt['skin_latest_champs'] = 'Set Latest Champs';
$txt['skin_latest_games'] = 'Set Latest Games';
$txt['skin_most_popular'] = 'Set Most Played';
$txt['skin_avatar_size_width'] = 'Set Enterprise Avatar Max Width';
$txt['skin_avatar_size_height'] = 'Set Enterprise Avatar Max Height';
$txt['skin_avatar_sizeb_width'] = 'Set Defiant Avatar Max Width';
$txt['skin_avatar_sizeb_height'] = 'Set Defiant Avatar Max Height';
$txt['avsize_recommend'] = 'Recommend (65) don\'t overdo it';
$txt['arcade_rec_val'] = 'Recommended Value: %s';
$txt['arcade_admin_settings'] = 'Arcade Settings';
$txt['arcade_settings_desc'] = 'Here you can edit settings of arcade';
$txt['arcadeEnabled'] = 'Arcade Enabled';
$txt['arcadeArenaEnabled'] = 'Arena Enabled';
$txt['arcadeEnableFavorites'] = 'Allow Users To Keep List Of Favorite Games';
$txt['arcadeEnableRatings'] = 'Allow Users To Rate Games';
$txt['arcadeDisplayType'] = 'Display Game Type (Vintage List Only)';

$txt['arcadeCommentLen'] = 'Max Comment Length';
$txt['arcadeCommentLen_subtext'] = '(0 is unlimited)';

$txt['gamesPerPage'] = 'Games Per Page';
$txt['matchesPerPage'] = 'Matches Per Page';
$txt['scoresPerPage'] = 'Scores Per Page';

$txt['gamesEmail'] = 'Email Address To Send High Scores';
$txt['gamesNotificationsBulk'] = 'Enable Bulk Notification For Emails And PMs';
$txt['gamesUrl'] = 'Url To Games';
$txt['gamesDirectory'] = 'Path To Games Directory';
$txt['arcadeGamecacheUpdate'] = 'Update Gamecache Automatically';

$txt['arcadeCheckLevel'] = 'Cheating Check Mode';
$txt['arcade_check_level0'] = 'Basic (Warning only)';
$txt['arcade_check_level1'] = 'Default (Recommended)';
$txt['arcade_check_level2'] = 'Default Plus (Not recommended)';

$txt['arcadeMaxScores'] = 'Maximum Scores (per player per game)';

// Arcade Admin permissions
$txt['arcade_general_permissions'] = 'Arcade Permissions';
$txt['arcadePermissionMode'] = 'Permission mode';
$txt['arcade_permission_mode_none'] = 'None';
$txt['arcade_permission_mode_category'] = 'Category Only';
$txt['arcade_permission_mode_game'] = 'Game Only';
$txt['arcade_permission_mode_and_both'] = 'Category and Game';
$txt['arcade_permission_mode_or_both'] = 'Category or Game';

// Post Permissions
$txt['arcadePostPermission'] = 'Enable Post Count / Post Per Day Check';
$txt['arcadePostsPlay'] = 'Cumulative Post Needed To Play';
$txt['arcadePostsLastDay'] = 'Posts In Last 24 Hours Needed To Play';
$txt['arcadePostsPlayAverage'] = 'Average Post Per Day Needed To Play';

$txt['perm_arcade_view'] = 'View Arcade';
$txt['perm_arcade_play'] = 'Play In Arcade';
$txt['perm_arcade_submit'] = 'Save Scores';

// ManageGames
$txt['arcade_manage_games_desc'] = 'Here you can edit and install games';
$txt['arcade_manage_games'] = 'Games';

// Filter tabs
$txt['manage_games_filter_all'] = 'Show All';
$txt['manage_games_filter_enabled'] = 'Hide Disabled';
$txt['manage_games_filter_disabled'] = 'Hide Enabled';

$txt['arcade_no_games_filter'] = 'No games found. Try changing filter';
$txt['arcade_no_games_installed'] = 'You haven\'t installed any games yet, you can <a href="%s">install games here</a>.';
$txt['arcade_no_games_available_for_install'] = 'No Games available to install, you can <a href="%s">upload games here</a>.';

$txt['arcade_edit'] = '[ Edit ]';
$txt['arcade_install'] = '[ Install ]';
$txt['arcade_uninstall'] = '[ Uninstall ]';
$txt['arcade_unzip'] = '[ Extract ]';
$txt['arcade_missing_files'] = 'Main file missing';

// Quick Actions
$txt['quickmod_change_category'] = 'Change Category Of Selected';
$txt['quickmod_install_selected'] = 'Install Selected';
$txt['quickmod_delete_selected'] = 'Delete Selected';
$txt['quickmod_uninstall_selected'] = 'Uninstall Selected';

$txt['arcade_install_complete'] = 'Install Complete';
$txt['arcade_install_following_games'] = 'Following games were installed';
$txt['arcade_uninstall_complete'] = 'Uninstall Complete';
$txt['arcade_uninstall_following_games'] = 'Following games were uninstalled';

// Upload
$txt['arcade_upload'] = 'Upload';
$txt['post_max_size'] = 'Maximium Total Filesize:';
$txt['arcade_upload_button'] = 'Upload';
$txt['arcade_supported_filetypes'] = 'Supported file types: zip | tar | gz';
$txt['arcade_upload_error'] = 'An error occurred while uploading the file';
$txt['arcade_upload_abort'] = 'The upload has been cancelled by the user or the browser dropped the connection';
$txt['arcade_upload_warnsize'] = 'File exceeds php upload limits. Adjust ~ upload_max_filesize & post_max_size ~ in your php ini file';
$txt['arcade_upload_msg1'] = 'Drop Here';
$txt['arcade_upload_msg2'] = 'Browse';
$txt['arcade_upload_nofile'] = 'No file selected';

// Maintenance
$txt['arcade_maintenance'] = 'Arcade Maintenance';
$txt['arcade_maintenance_desc'] = 'Here you can perform maintenace actions on Arcade features.';
$txt['arcade_maintain_done'] = 'Maintenance finished!';
$txt['arcade_maintain_none'] = 'Nothing to do!';
$txt['arcade_maintenance_fixScores'] = 'Check And Repair Any Errors On Score Tables';
$txt['arcade_maintenance_updateGamecache'] = 'Update GameCache';
$txt['arcade_maintenance_onlinePurge'] = 'Purge Online Arcade Log';
$txt['arcade_maintenance_downloadPurge'] = 'Purge Download Directory';
$txt['arcade_maintenance_uploadPurge'] = 'Purge ' . $modSettings['gamesDirectory'] . ' Directory Of Compressed Archives';
$txt['arcade_maintenance_pathPurge'] = 'Purge ' . $modSettings['gamesDirectory'] . ' Directory Of Unused Game Folders';
$txt['arcade_maintenance_shoutPurge'] = 'Purge Shouts In Shoutbox';
$txt['arcade_maintenance_iconPurge'] = 'Purge Unused Category Icons';
$txt['arcade_maintenance_main'] = 'Main';
$txt['arcade_maintenance_highscore'] = 'Highscore';
$txt['arcade_maintenance_category'] = 'Categories';
$txt['arcade_maintenance_xframe'] = 'X-Frame';
$txt['ArcadeFixCats'] = 'Fix Categories';
$txt['arcade_cats_default'] = 'Set All Games To Default';
$txt['arcade_cats_undefault'] = 'Set All Unassigned Games To Default';
$txt['arcade_cats_peruse'] = 'Fix Category Game Counts';
$txt['arcade_commence_now'] = 'Complete Action';
$txt['arcade_admin_opt_cat'] = 'Opt Category';
$txt['arcade_admin_opt_cat_title'] = 'Default Category:';

// Maintenance confirmation
$txt['arcade_maintenance_conf_fixScores'] = 'This will attempt to repair all score tables.';
$txt['arcade_maintenance_conf_purgeScores'] = 'This will erase all scores in the database.';
$txt['arcade_maintenance_conf_updateGamecache'] = 'This will update the game cache.';
$txt['arcade_maintenance_conf_onlinePurge'] = 'This will purge the Arcade online log.';
$txt['arcade_maintenance_conf_downloadPurge'] = 'This will purge the Arcade download directory of any files.';
$txt['arcade_maintenance_conf_uploadPurge'] = 'This will purge the Games directory of compressed files.';
$txt['arcade_maintenance_conf_pathPurge'] = 'This will purge the Games directory of game folders not being used by any game in the database.';
$txt['arcade_maintenance_conf_shoutboxPurge'] = 'This will purge the Arcade shoutbox of all shouts.';
$txt['arcade_maintenance_conf_iconPurge'] = 'This will purge the arc_icons folder of any files not currently being used by the arcade.';

// X-Frame Maintenance
$txt['arcade_xframe_iis'] = 'Microsoft IIS';
$txt['arcade_xframe_apache'] = 'Apache';
$txt['arcade_xframe_other'] = 'Other';
$txt['arcade_xframe_option'] = 'Option';
$txt['arcade_xframe_exit'] = 'Back';
$txt['arcade_xframe_detected'] = '%s has been detected.';
$txt['arcade_xframe_file_task'] = '%s file has been %s';
$txt['arcade_xframe_file'] = array('created', 'deleted');
$txt['arcade_xframe_config'] = 'You should use the %s option, otherwise you can opt to adjust X-Frame settings within your server control panel.<br />Either way {Mod Headers} module must be loaded for this to work.';
$txt['arcade_xframe_remove'] = 'There is an option to remove the files if this somehow causes an issue.';
$txt['arcade_xframe_create'] = array('Apache: Create .htaccess file', 'Microsoft IIS: Create web.config file', 'Other: View optional configuration instructions', 'Delete: Remove any configuration files located in the %s directory.');

// Highscore Maintenance
$txt['arcade_remove_scores_older_than'] = 'Remove scores that are older than';
$txt['arcade_remove_scores_days'] = 'days.';
$txt['arcade_remove_all_scores'] = 'Remove all scores.';
$txt['arcade_remove_now'] = 'Remove Now';

// Editor
$txt['arcade_manage_games_edit_games'] = 'Edit Games';
$txt['arcade_basic_settings'] = 'Basic Settings';
$txt['arcade_thumbnail'] = 'Thumbnail';
$txt['arcade_thumbnail_small'] = 'Thumbnail (small)';
$txt['arcade_enable_game'] = 'Enable Game';
$txt['arcade_description'] = 'Description';
$txt['arcade_help'] = 'Help';
$txt['arcade_membergroups'] = 'Membergroups';
$txt['arcade_category'] = 'Category';
$txt['arcade_no_category'] = '(no category)';
$txt['check_all'] = 'Check All';

$txt['arcade_advanced'] = 'Advanced Settings';
$txt['arcade_internal_name'] = 'Internal Name';
$txt['arcade_directory'] = 'Directory';
$txt['arcade_file'] = 'File';
$txt['arcade_game_type'] = 'Game Type';
$txt['arcade_game_type_legacy'] = 'Legacy (SMFArcade v1, phpBB, IPB)';
$txt['arcade_game_type_v2'] = 'SMFArcade v2';
$txt['arcade_game_type_flash'] = 'Flash';
$txt['arcade_score_type'] = 'Scoring';
$txt['arcade_score_normal'] = 'Normal';
$txt['arcade_score_reverse'] = 'Reverse';
$txt['arcade_score_none'] = 'None';

$txt['arcade_extra_options_flash'] = 'Flash Settings';
$txt['arcade_extra_options_width'] = 'Width';
$txt['arcade_extra_options_height'] = 'Height';
$txt['arcade_extra_options_version'] = 'Flash Version';
$txt['arcade_extra_options_backgroundcolor'] = 'Background color';
$txt['arcade_extra_options_type'] = 'Fullscreen Mode';
$txt['arcade_extra_data_type_normal'] = 'Normal';
$txt['arcade_extra_data_type_full'] = 'Fullscreen';
$txt['game_info_export'] = 'Export game-info.xml';

// Game Installer
$txt['arcade_install_games'] = 'Install Games';
$txt['arcade_manage_games_install'] = 'Manage Installations';
$txt['arcade_manage_games_upload'] = 'Manage Uploads';
$txt['arcade_following_games_install'] = 'Following games will be installed.<br />
To add more games goto list and click install on game you want to install.<br />
To edit game settings click name of game, when you are done press "Install Games" to complete process.';
$txt['install_move_files'] = 'Move each game to its own directory';
$txt['arcade_submit_system'] = 'Submit System';
$txt['arcadeUploadSystem'] = 'Use HTML5 Upload Script';

$txt['arcade_install_status'] = 'Status';
$txt['arcade_install_success'] = 'Success';
$txt['arcade_install_failed'] = 'Failed';

$txt['arcade_directory_make_exists'] = 'Game folder already exists and contains files - attempting to remove compressed files ~ installation aborted. Folder: %s';
$txt['directory_make_failed'] = 'Failed to make directory: %s';
$txt['file_move_failed'] = 'Failed to move file %s to %s';
$txt['file_move_fail_message'] = 'Check file and directory permission and try again and/or move files manually';
$txt['arcade_try_again'] = 'Try Again';

$txt['arcade_move_games'] = 'Move each game to its own directory';
$txt['arcade_are_you_sure_install'] = 'Are you sure you want to install these games?';
$txt['arcade_are_you_sure_delete'] = 'Are you sure you want to delete these files?';

// Game uninstall
$txt['arcade_uninstall_games'] = 'Uninstall Games';
$txt['arcade_following_games_uninstall'] = 'Following games will be uninstalled.<br />
All data related to games will be permanently removed and only way to get it back is to restore from backup.<br />
Press "Uninstall Games" to confirm and complete process.';
$txt['uninstall_remove_files'] = 'Remove files related to game(s)';

// Category editor
$txt['arcade_manage_category'] = 'Manage Category';
$txt['arcade_manage_category_new'] = 'New Category';
$txt['arcade_manage_category_list'] = 'Category List';
$txt['arcade_manage_category_desc'] = 'Here you can create and edit categories for games';
$txt['arcade_categories'] = 'Categories';
$txt['category_name'] = 'Name';
$txt['arcade_save_category'] = 'Edit';
$txt['arcade_unable_to_remove'] = 'Unable to remove category %s';
$txt['arcade_category_no_default'] = 'There is no default category set.';
$txt['arcade_category_permission_allowed'] = 'Groups Allowed To Access';
$txt['arcade_make_default'] = 'Make default';
$txt['arcade_upload_cat'] = 'Upload Category Icon';
$txt['arcade_cat_image_icon'] = 'Image :';
$txt['arcade_cat_image_filename'] = 'Filename :';
$txt['arcade_upload_exists'] = '%s ~ file exists.';
$txt['arcade_cat_delete'] = 'Delete';
$txt['arcade_cat_order'] = 'Order';
$txt['arcade_cat_name'] = 'Category Name';
$txt['arcade_cat_image'] = 'Icon';
$txt['arcade_cat_image_na'] = 'N/A';

/* Arcade - Advanced Text Variables */
$txt['arcadeEnablePosting'] = 'Enable Game Posting';
$txt['gamesBoard'] = 'Board ID Number';
$txt['gamesMessage'] = 'Posting Statement';
$txt['arcadeEnableIframe'] = 'Enable Game Inside Post';
$txt['arcadeEnablePostCount'] = 'Enable Post Count';
$txt['arcadePosterid'] = 'User ID For Posting';
$txt['arcadeEnableDownload'] = 'Enable Game Downloading';
$txt['arcadeEnableReport'] = 'Enable Reporting Game Errors';
$txt['arcadeEnableGameDisable'] = 'Disable Games Reported With Errors';
$txt['arcadeDownPost'] = 'Number Of Posts To Allow Downloading';
$txt['arcadeDownloadPermission'] = 'Groups Allowed To Download Games';
$txt['arcadeDisableArchive'] = 'Disable Saving Archives In The Download Folder';
$txt['arcadeDownPass'] = 'Prefix For Restricted Game Files';
$txt['pdl_DownMax'] = 'Daily Download Limit';
$txt['pdl_settings_desc'] = 'Here you can edit SMF Arcade advanced settings.';
$txt['pdl_admin_settings'] = 'SMF Arcade Advanced Settings';
$txt['pdl_reports_desc'] = 'Here you can view and edit reported game errors';
$txt['pdl_admin_reports'] = 'Reported Game Errors';
$txt['arcadeShowIC'] = 'Show Info Center';
$txt['arcadeShowOnline'] = 'Show Arcade Online List';
$txt['arcadeDropCat'] = 'Enable Drop Down Categories';
$txt['arcade_catWidth'] = 'Set Category Icon Width';
$txt['arcade_catHeight'] = 'Set Category Icon Height';
$txt['arcadeAdjustType'] = 'Auto Adjust Improper Save Types';
$txt['arcade_download'] = 'Download';
$txt['arcade_general_pdl_settings'] = 'Advanced';
$txt['arcade_general_pdl_reports'] = 'Reports';
$txt['arcade_pdl_reps'] = 'Games With Reported Errors';
$txt['pdl_submit'] = 'Submit';
$txt['pdl_maintain1'] = '<img src="' . $boardurl . '/Themes/default/images/arc_icons/pdl_clean.gif" alt="CLEAN" title="Clear Cache" />';
$txt['pdl_maintain2'] = 'Maintain';
$txt['pdl_test'] = 'Test Game';
$txt['pdl_reports_id'] = 'Game ID';
$txt['pdl_reports_name'] = 'Game Name';
$txt['pdl_reports_userid'] = 'Reported By';
$txt['pdl_reports_year'] = 'Year';
$txt['pdl_reports_day'] = 'Day';
$txt['pdl_reports_repid'] = 'Report &#35;';
$txt['pdl_reports_dcount'] = 'Download Count';
$txt['pdl_reports_delete'] = 'Delete Report';
$txt['show_pdl_report'] = 'Game Error Reported';
$txt['arcade_compression'] = (class_exists('ZipArchive') ? 'zip|' : '') . 'tar|tar.gz';
$txt['arcade_gz'] = 'Download Archive Type';

// Errors
$txt['arcade_no_games_selected'] = 'No games selected!';
$txt['arcade_not_writable'] = 'Directory %s is not writable and chmod didn\'t succeed. Please make it writable manually.';
$txt['arcade_unable_to_move'] = 'Unable to move %s from %s to %s, please do it manually and reload!';
$txt['arcade_upload_file'] = 'Uploading file failed!';
$txt['arcade_upload_file_size'] = 'Uploading file failed: 0 Byte file';
$txt['arcade_upload_tar'] = 'php.ini settings for upload_max_filesize and/or post_max_size not enough: %s';
$txt['arcade_install_general_fail'] = 'Game installation failed!';
$txt['arcade_install_exists_fail'] = 'Game directory already exists for another game in the database ~ Game installation failed!';
$txt['arcade_install_exists_fail_del'] = 'Game installation failed ~ Game directory already exists for another game in the database ~ Attempting to remove compressed files ~ Please try again!';
$txt['unable_to_make'] = 'Unable to make directory "%s". Please do it manually!';
$txt['unable_to_chmod'] = 'Directory "%s" is not writable and chmod failed, please use FTP client to make it writable';
$txt['unable_to_move'] = 'Unable to move directories from "%s" to "%s". Please do it manually!';

// Defiant Skin
$txt['arcadeAltTheme'] = 'Condensed';
$txt['arcadeTabs'] = 'Enable Toolbar Tabs';
$txt['arcadeAltTemplate'] = '[Click here for custom theme options]';
$txt['arcade_alt_data'] = 'Arcade Condensed Info';
$txt['arcade_alt_options'] = 'Choose which themes will use condensed arcade information';
$txt['arcade_save_alt'] = 'Save Theme Settings';
$txt['arcade_back_alt'] = 'Return To Settings Page';

// Permission names and help
$txt['permissiongroup_arcade'] = 'Arcade';
$txt['permissionname_arcade_view'] = 'View Arcade';
$txt['permissionhelp_arcade_view'] = 'May access Arcade and use basic features like search and view highscores';
$txt['permissionname_arcade_play'] = 'Play on Arcade';
$txt['permissionhelp_arcade_play'] = 'Allows member to play, on Arcade, games which they have rights to';
$txt['permissionname_arcade_admin'] = 'Administrate arcade';
$txt['permissionhelp_arcade_admin'] = 'Arcade Administrator can Install/Edit/Delete game, Delete scores and edit settings for Arcade';
$txt['permissionname_arcade_submit'] = 'Save scores';
$txt['permissionhelp_arcade_submit'] = 'Allows users to save their scores.';
$txt['permissionname_arcade_comment'] = 'Edit Comments';
$txt['permissionhelp_arcade_comment'] = 'Allows user to edit comments, ';
$txt['permissionname_arcade_comment_own'] = 'Own';
$txt['permissionname_arcade_comment_any'] = 'Any';
$txt['permissionname_arcade_user_stats'] = 'View User Statistics';
$txt['permissionname_arcade_user_stats_own'] = 'Own';
$txt['permissionname_arcade_user_stats_any'] = 'Any';
$txt['permissionname_arcade_view_arena'] = 'View Arena';
$txt['permissionname_arcade_create_match'] = 'Create a new match on Arena';
$txt['permissionname_arcade_join_match'] = 'Join match on Arena';
$txt['permissionname_arcade_join_invite_match'] = 'Join match on Arena when invited';
$txt['permissionname_arcade_edit_settings'] = 'Edit Arcade Settings';
$txt['permissionname_arcade_edit_settings_own'] = 'Own';
$txt['permissionname_arcade_edit_settings_any'] = 'Any';
$txt['permissionname_arcade_online'] = 'View Arcade Online';
$txt['permissionname_arcade_download'] = 'Download Games';
$txt['permissionname_arcade_report'] = 'Report Game Errors';
$txt['permissionname_arcade_skin'] = 'Change Skin';
$txt['permissionhelp_arcade_skin'] = 'Allow users to change the Skin of the arcade';
$txt['permissionname_arcade_list'] = 'Change List';
$txt['permissionhelp_arcade_list'] = 'Allow users to change the List of the arcade';
$txt['permissionname_arcade_hyperlink'] = 'Shout Hyperlinks';
$txt['permissionhelp_arcade_hyperlink'] = 'Allow users to post hyperlinks in the shoutbox';
$txt['permissionname_arcade_view_hyperlink'] = 'View Hyperlinks';
$txt['permissionhelp_arcade_view_hyperlink'] = 'Allow users to view hyperlinks in the shoutbox';
$txt['perm_arcade_online'] = 'View Arcade Online';
$txt['perm_arcade_download'] = 'Download Games';
$txt['perm_arcade_report'] = 'Report Broken Games';

// Simple permission gropus
$txt['permissiongroup_simple_arcade'] = 'Use Arcade';
$txt['permissiongroup_simple_arcade_moderate'] = 'Moderate Arcade';

// Simple permission names
$txt['permissionname_simple_arcade_comment_own'] = 'Edit their own comments';
$txt['permissionname_simple_arcade_comment_any'] = 'Edit any comment';
$txt['permissionname_simple_arcade_user_stats_own'] = 'View their own statistics';
$txt['permissionname_simple_arcade_user_stats_any'] = 'View other people\'s statistics';
$txt['permissionname_simple_arcade_edit_settings_own'] = 'Edit their own Arcade Settings';
$txt['permissionname_simple_arcade_edit_settings_any'] = 'Edit other people\'s Arcade Settings';

// X-Frame Instructions
$txt['arcade_xframe_instruct'] = '
<div id="arcade_xframe">
	<div style="padding-bottom: 15px;font-size: 20px;">X-Frame-Options - HTTP | MDN</div>
	<p>The <strong><code>X-Frame-Options</code></strong> <span>HTTP</span> response header can be used to indicate whether or not a browser should be allowed to render a page in a&nbsp;
	<span title="&lt;frame&gt; is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a &lt;frameset&gt;."><code>&lt;frame&gt;</code></span>,&nbsp;
	<span title="The HTML &lt;iframe&gt; element represents a nested browsing context, effectively embedding another HTML page into the current page. In HTML 4.01, a document may contain a head and a body or a head and a frameset, but not both a body and a frameset. However, an &lt;iframe&gt; can be used within a normal document body. Each browsing context has its own session history and active document. The browsing context that contains the embedded content is called the parent browsing context. The top-level browsing context (which has no parent) is typically the browser window."><code>&lt;iframe&gt;</code></span> or&nbsp;
	<span title="The HTML &lt;object&gt; element represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin."><code>&lt;object&gt;</code></span>.<span style="display: block;">Sites can use this to avoid <span title="clickjacking" class="external" rel="noopener">clickjacking</span> attacks, by ensuring that their content is not embedded into other sites.</span></p>
	<p>The added security is only provided if the user accessing the document is using a browser supporting <code>X-Frame-Options</code>.</p>
	<table class="properties">
		<tbody>
			<tr>
				<td>Header type</td>
				<td><span title="Response header: A response header is an HTTP header that can be used in an HTTP response and that doesn\'t relate to the content of the message. Response headers, like Age, Location or Server are used to give a more detailed context of the response." class="glossaryLink">Response header</span></td>
			</tr>
			<tr>
				<td><span title="Forbidden header name: A forbidden header name is an HTTP header name that cannot be modified programmatically; specifically, an HTTP request header name." class="glossaryLink">Forbidden header name</span></td>
				<td><span>no</span></td>
			</tr>
		</tbody>
	</table>
	<h2 id="Syntax">Syntax</h2>
	<p>Directive for <code>X-Frame-Options</code>:</p>
	<pre class="syntaxbox">X-Frame-Options: SAMEORIGIN</pre>
	<h3 id="Directives">Directives</h3>
	<p>If you specify <code>SAMEORIGIN</code>, you can still use the page in a frame as long as the site including it in a frame is the same as the one serving the page.</p>
	<span style="display: block;padding-top: 10px;">&nbsp;</span>
	<dl>
		<dt><code>SAMEORIGIN</code></dt>
		<dd>The page can only be displayed in a frame on the same origin as the page itself. The spec leaves it up to browser vendors to decide whether this option applies to the top level, the parent, or the whole chain.</dd>
	</dl>
	<h2 id="Examples">Examples</h2>
	<div class="arcade_xframe_note">
		<p><strong>Note:</strong> Setting the meta tag is useless! For instance, <code>&lt;meta http-equiv="X-Frame-Options" content="deny"&gt;</code> has no effect. Do not use it! Only by setting through the HTTP header like the examples below, <code>X-Frame-Options</code> will work.</p>
	</div>
	<h3 id="Configuring_Apache">Configuring Apache</h3>
	<p>To configure Apache to send the <code>X-Frame-Options</code> header for all pages, add this to your site\'s configuration:</p>
	<pre>Header always set X-Frame-Options SAMEORIGIN</pre>
	<h3 id="Configuring_nginx">Configuring nginx</h3>
	<p>To configure nginx to send the <code>X-Frame-Options</code> header, add this either to your http, server or location configuration:</p>
	<pre>add_header X-Frame-Options SAMEORIGIN;</pre>
	<h3 id="Configuring_IIS">Configuring IIS</h3>
	<p>To configure IIS to send the <code>X-Frame-Options</code> header, add this your site\'s <code>Web.config</code> file:</p>
	<pre class="brush: xml">&lt;system.webServer&gt;
	&lt;httpProtocol&gt;
		&lt;customHeaders&gt;
			&lt;add name="X-Frame-Options" value="SAMEORIGIN" /&gt;
		&lt;/customHeaders&gt;
	&lt;/httpProtocol&gt;
&lt;/system.webServer&gt;</pre>
	<h3 id="Configuring_HAProxy">Configuring HAProxy</h3>
	<p>To configure HAProxy to send the <code>X-Frame-Options</code> header, add this to your front-end, listen, or backend configuration:</p>
	<pre>rspadd X-Frame-Options:\ SAMEORIGIN</pre>
	<h2 id="Specifications">Specifications</h2>
	<table class="table">
		<tbody>
			<tr>
				<th scope="col">Specification</th>
				<th scope="col">Title</th>
			</tr>
			<tr>
				<td>RFC 7034</td>
				<td>HTTP Header Field X-Frame-Options</td>
			</tr>
		</tbody>
	</table>
</div>';
?>